Subject: Re: bug#52973: Adding a few context-menu-mode commands

From: Juri Linkov <[email-masked]>
Date: Wed, 12 Jan 2022 21:41:04 +0200

>> > But then you say that this item is mostly useless and shouldn't be in
>> > the context menu by default?  That sounds like a contradiction of the
>> > success story with which you started, where the existence of the menu
>> > item is a win, isn't it?
>> 
>> It's useless for most users, so it's not suitable to be enabled by default.
>> Only a minority of users might want to customize and add it.
>> 
>> > And then this conclusion:
>> >
>> >> But when a user can tolerate this mostly useless menu item,
>> >> then the user could customize the context-menu-functions
>> >> and add the item that is used occasionally.
>> >
>> > How would the user decide whether he can tolerate this mostly useless
>> > menu item?  And why should this burden be on the user's shoulders?
>> 
>> This is suitable for users that consult man pages often,
>> or users can add the "Open man page" item buffer-locally
>> in some modes.
>
> A menu item that is not used does no special harm.  So why not have
> these items in the menus by default?

Adding all these items by default will load all these packages by default,
including man.el, hi-lock.el, etc.